Package net.snowflake.client.core

## Class ExecTimeTelemetryData

- java.lang.Object
- - net.snowflake.client.core.ExecTimeTelemetryData

    public class ExecTimeTelemetryData
    extends Object

### Constructor Summary

Constructors
`ExecTimeTelemetryData()`
`ExecTimeTelemetryData​(String queryFunction, String batchId)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addRetryLocation​(String location)`
`String` `generateTelemetry()`
`String` `getLogString()`
`void` `incrementRetryCount()`
`void` `setBindEnd()`
`void` `setBindStart()`
`void` `setCreateResultSetEnd()`
`void` `setCreateResultSetStart()`
`void` `setGzipEnd()`
`void` `setGzipStart()`
`void` `setHttpClientEnd()`
`void` `setHttpClientStart()`
`void` `setOCSPStatus​(Boolean ocspEnabled)`
`void` `setProcessResultChunkEnd()`
`void` `setProcessResultChunkStart()`
`void` `setQueryEnd()`
`void` `setQueryId​(String queryId)`
`void` `setRequestId​(String requestId)`
`void` `setResponseIOStreamEnd()`
`void` `setResponseIOStreamStart()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ExecTimeTelemetryData

    public ExecTimeTelemetryData​(String queryFunction,
                                 String batchId)

#### ExecTimeTelemetryData

    public ExecTimeTelemetryData()

### Method Detail

#### setBindStart

    public void setBindStart()

#### setOCSPStatus

    public void setOCSPStatus​(Boolean ocspEnabled)

#### setBindEnd

    public void setBindEnd()

#### setHttpClientStart

    public void setHttpClientStart()

#### setHttpClientEnd

    public void setHttpClientEnd()

#### setGzipStart

    public void setGzipStart()

#### setGzipEnd

    public void setGzipEnd()

#### setQueryEnd

    public void setQueryEnd()

#### setQueryId

    public void setQueryId​(String queryId)

#### setProcessResultChunkStart

    public void setProcessResultChunkStart()

#### setProcessResultChunkEnd

    public void setProcessResultChunkEnd()

#### setResponseIOStreamStart

    public void setResponseIOStreamStart()

#### setResponseIOStreamEnd

    public void setResponseIOStreamEnd()

#### setCreateResultSetStart

    public void setCreateResultSetStart()

#### setCreateResultSetEnd

    public void setCreateResultSetEnd()

#### incrementRetryCount

    public void incrementRetryCount()

#### setRequestId

    public void setRequestId​(String requestId)

#### addRetryLocation

    public void addRetryLocation​(String location)

#### generateTelemetry

    public String generateTelemetry()

#### getLogString

    public String getLogString()